
body {
    color: slategray;
  }
  
h1 {
  text-align: center;
  margin-top:50px;
  line-height: 2.3em;
}
h2{
  color:#2f2f2f;
}

h4 {
  margin-top:5px;
}

.table {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  padding: 0rem 0rem 0rem 0rem;
  width: 100%;
}



.table-cell {
  box-sizing: border-box;
  flex-grow: 1;
  width: 100%;
  padding: 0.8em 1.2em;
  overflow: hidden;
  list-style-type: none;
  outline: 1px solid #ddd;
  text-align: center;
  font-weight: 300;
  margin-top: 1px;
  margin-left: 1px;
}
.table-cell:first-child {
  outline: 1px solid #fff;
  background: transparent;
}
@media only screen and (max-width: 768px) {
  .table-cell:first-child {
    display: none;
  }
}
.table-cell > h3 {
  font-size: 26px;
  margin-top: 0;
  margin-bottom: 2rem;
}
.table-cell.cell-feature {
  text-align: right;
  font-size: 18px;
}
.table-cell.plattform {
  background-color: #85bafc;
  color: #30305b;
}
.table-cell.enterprise {
  background-color: #30305b;
  color: #85bafc;
}

/* Table columns
================================== */
.table-cell {
  width: calc(20% - 1px);
}

/* Buttons */
a.btn, a.btn:visited, a.btn:link, a.btn_active, a.btn_active:visited, a.btn_active:link{
  color: #30305b;
  border: 2px solid;
  padding: 0.6rem 0.9rem 0.6rem 0.9rem;
  font-weight: 400;
  text-transform: uppercase;
  text-decoration: none;
  -webkit-transition: 0.2s ease-in-out;
  -moz-transition: 0.2s ease-in-out;
  -ms-transition: 0.2s ease-in-out;
  -o-transition: 0.2s ease-in-out;
  transition: 0.2s ease-in-out;
  -webkit-border-radius: 0.3rem;
  -moz-border-radius: 0.3rem;
  -ms-border-radius: 0.3rem;
  border-radius: 0.3rem;
}

input[type=password],input[type=text],select,input[type=email],input[type=number],input[type=date],input[type=submit]{
  margin-right:20px;
  text-transform: none;
  color: #30305b;
  font-size: 15px;
  border: 2px solid;
  padding: 0.4rem 0.6rem 0.4rem 0.6rem;
  font-weight: 400;
  text-decoration: none;
  -webkit-transition: 0.2s ease-in-out;
  -moz-transition: 0.2s ease-in-out;
  -ms-transition: 0.2s ease-in-out;
  -o-transition: 0.2s ease-in-out;
  transition: 0.2s ease-in-out;
  -webkit-border-radius: 0.3rem;
  -moz-border-radius: 0.3rem;
  -ms-border-radius: 0.3rem;
  border-radius: 0.3rem;
  outline: 1px solid lightblue;
}


a.btn:hover {
  cursor:pointer;
  background-color: #85bafc;
  border-color: #30305b;
  color: #30305b;
}

a.btn_active{
  cursor:pointer;

  background-color: #85bafc;
}

input[type=checkbox] {
  width: 25px !important;
  height: 25px !important;
  -webkit-appearance: none;
  -moz-appearance: none;
  -o-appearance: none;
  appearance:none;
  color:black;
  border: 0.15em solid black;
  outline: 1px solid lightblue;
  border-radius: 0.25em;
  place-content: center;
  transform: translateY(0.60em);
}


input[type=checkbox]:checked {
  content: "";
  -webkit-clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
          clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
  
  box-shadow: inset 1em 1em var(--form-control-color);
  /* Windows High Contrast Mode */
  background-color: CanvasText;
}


input[type=radio] {
  /* Add if not using autoprefixer */
  -webkit-appearance: none;
  /* Remove most all native input styles */
  -moz-appearance: none;
       appearance: none;
  /* For iOS < 15 */
  background-color: var(--form-background);
  /* Not removed via appearance */
  margin: 0;
  font: inherit;
  color: black;
  width: 1.15em;
  height: 1.15em;
  border: 0.15em solid currentColor;
  border-radius: 50%;
  transform: translateY(-0.075em);
  display: grid;
  place-content: center;
}

input[type=radio]::before {
  content: "";
  width: 0.65em;
  height: 0.65em;
  border-radius: 50%;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--form-control-color);
  /* Windows High Contrast Mode */
  background-color: CanvasText;
}

input[type=radio]:checked::before {
  transform: scale(1);
}

input[type=radio]:focus {
  outline: max(2px, 0.15em) solid currentColor;
  outline-offset: max(2px, 0.15em);
}



.card {
  background-color: #ffffff;
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.5);
  margin:auto;
  overflow:auto;
}

.table-concept {
  width: 100%;
}
.table-concept .table-radio {
  display: none;
}
.table-concept .table-radio:checked + .table-display, .table-concept .table-radio:checked + .table-display + table {
  display: block;
}
.table-concept .table-radio:checked + .table-display + table + .pagination {
  display: flex;
}
.table-concept .table-radio:checked + .table-display + table + .pagination > label.active {
  color: #ffffff;
  background-color: #494949;
  cursor: default;
}
.table-concept .table-radio:checked + .table-display + table + .pagination > label.disabled {
  color: #ffffff;
  background-color: #959595;
  cursor: default;
}
.table-concept .table-display {
  background-color: #e2e2e2;
  text-align: right;
  padding: 10px;
  display: none;
  position: sticky;
  left: 0;
}
.table-concept table {
  background-color: #ffffff;
  font-size: 16px;
  border-collapse: collapse;
}
.table-concept table tr:last-child td {
  border-bottom: 0;
}
.table-concept table tr th,
.table-concept table tr td {
  text-align: left;
  padding: 12px;
  box-sizing: border-box;
}




.table-concept table tr th {
  color: #ffffffec;
  background-color: #2f2f2f;
  border-bottom: solid 2px #d8d8d8;
  position: sticky;
  top: 0;
  font-size: 15px;
  padding-top: 0px;
  padding-bottom: 0px;
}



.table-concept table tbody tr {
  transition: background-color 150ms ease-out;
}
.table-concept table tbody tr:hover {
  background-color: #ebebeb;
}
.table-concept .pagination {
  background-color: #6f6f6f;
  width: 100%;
  display: none;
  position: sticky;
  bottom: 0;
  left: 0;
}
.table-concept .pagination > label {
  background-color: #6f6f6f;
  color: #ffffff;
  padding: 10px;
  cursor: pointer;
}
.table-concept .pagination > label:hover {
  background-color: #898989;
}
.table-concept .pagination > label:active {
  background-color: #565656;
}


.table-concept.single table tr td {
  border: solid 1px #d8d8d8;
  border-left: 0;
  border-right: 0;
  white-space: nowrap;
}
.table-concept.single table tbody tr:nth-child(2n) {
  background-color: whitesmoke;
}


.table-concept.dual table tr:nth-child(2n) td {
  border: solid 1px #d8d8d8;
  border-left: 0;
  border-right: 0;
  border-top: 0;
  white-space: nowrap;
}
.table-concept.dual table tbody tr:nth-child(4n+3) {
  background-color: whitesmoke;
}
.table-concept.dual table tbody tr:nth-child(4n+4) {
  background-color: whitesmoke;
}

.table-title {
  color: #ffffff;
  background-color: #2f2f2f;
  padding: 15px;
}
.table-title h2 {
  margin: 0;
  padding: 0;
}

.button-container {
  width: 100%;
  box-sizing: border-box;
  display: flex;
  justify-content: flex-end;
}
.button-container span {
  color: #8f8f8f;
  text-align: right;
  min-height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 10px;
  margin-right: 10px;
}
.button-container button {
  font-family: inherit;
  font-size: inherit;
  font-weight: bold;
  color: #ffffff;
  padding: 10px;
  border: 0;
  margin: 0;
  outline: 0;
  border-radius: 0;
  transition: background-color 225ms ease-out;
}
.button-container button.primary {
  background-color: #147eff;
}
.button-container button.primary:hover {
  background-color: #479aff;
}
.button-container button.primary:active {
  background-color: #0065e0;
}
.button-container button.primary {
  background-color: #147eff;
}
.button-container button.primary:hover {
  background-color: #479aff;
}
.button-container button.primary:active {
  background-color: #0065e0;
}
.button-container button.danger {
  background-color: #d11800;
}
.button-container button.danger:hover {
  background-color: #ff2205;
}
.button-container button.danger:active {
  background-color: #9e1200;
}




.menu-bar {
  border-radius: 25px;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  display: inline-flex;
  background-color: #2f2f2f;
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
  align-items: center;
  padding: 0 10px;
  margin: 0 0 0 0;
}
.menu-bar li {
  list-style: none;
  color: white;
  font-family: sans-serif;
  font-weight: bold;
  padding: 12px 16px;
  margin: 0 8px;
  position: relative;
  cursor: pointer;
  white-space: nowrap;
}
.menu-bar li::before {
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: -1;
  transition: 0.2s;
  border-radius: 25px;
}
.menu-bar li:hover {
  color: black;
}
.menu-bar li:hover::before {
  background: linear-gradient(to bottom, #e8edec, #d2d1d3);
  box-shadow: 0px 3px 20px 0px black;
  transform: scale(1.2);
}

.menu-bar .active {
  color: black;
  background: linear-gradient(to bottom, #e8edec, #d2d1d3);
  box-shadow: 0px 3px 20px 0px black;
  transform: scale(1);
  border-radius: 25px;
}




.drop-zone-class {
    width: 300px;
    height: 200px;
    border: 2px dashed #aaa;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    font-size: 2em;
    font-weight: bold;
}

.drop-zone-class.hover {
    background-color: #f4f4f4; /* light background */
    border: 2px solid #66cc66;
}


.openFile {
    width: 300px;
    height: 200px;
    border: 2px solid #66cc66;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2em;
    font-weight: bold;
    cursor: pointer;
}

.mfp-content {
  text-align: center;
}


.drop-table td,.drop-table table th {
    padding-left: 30px;
    padding-right: 30px;
}
.drop-table-wide td,.drop-table-wide th{
    padding-left: 60;
    padding-right: 60px;
}
.drop-table tr td:first-child, .drop-table tr th:first-child, .drop-table-wide tr td:first-child, .drop-table-wide tr th:first-child {
    padding-left: 0;
}
.drop-table tr td:last-child, .drop-table tr th:last-child, .drop-table-wide tr td:last-child, .drop-table-wide tr th:last-child {
    padding-right: 0;
}


.progress-container {
    width: 80%;
    max-width: 400px;
    background-color: #e0e0e0;
    border-radius: 25px;
    padding: 5px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
}

.progress-bar {
    height: 25px;
    width: 0;
    background: linear-gradient(to right, #4CAF50, #2196F3);
    border-radius: 20px;
    text-align: center;
    line-height: 25px;
    color: white;
    font-weight: bold;
    transition: width 0.5s ease-in-out;
}

.progress-text {
    font-size: 14px;
    font-weight: bold;
}


.manquant{
    padding: 20px;
    padding-top : 0px;
    padding-bottom: 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
}